<?php

namespace App\Policies;

use App\Admin;
use App\Config;
// TrackingCode
// MetaTag
use Illuminate\Auth\Access\HandlesAuthorization;

class ConfigPolicy
{
    use HandlesAuthorization;

    /**
     * Create a new policy instance.
     *
     * @return void
     */
    public function __construct()
    {
        //
    }

    public function before(Admin $admin)
    {
        if ($admin->isSuperAdmin()) {
            return true;
        }
    }


    public function update(Admin $admin, Config $config)
    {
        //
        return $admin->hasPermission('config.update');
    }
}
